Subject: [bug#43650] [PATCH 0/8] Assorted childhurd improvements

From: Ludovic Courtès <[email-masked]>
Date: Mon, 28 Sep 2020 22:47:29 +0200

Hi!

Jan Nieuwenhuizen <[email-masked]> skribis:

> Took me much longer than I hoped to...:It's broke, for me ;)
> (Well, privilege separatation breaks it, for me).
>
> I especially hoped that childhurd in a Guix System VM would work, but in
> the end reverted to reconfiguring and rebooting until I found the
> problem.

Oh, what exactly is broken for you?

I was able to “guix system vm” my laptop’s config, which includes an
instance of ‘hurd-vm-service-type’, and to connect with SSH or vncviewer
to the childhurd (running as non-root).

Does that fail for you?

Thanks for taking a look!

Ludo’.